% Copyright (C) 2008-2010 - Michael Baudin
%
% This file must be used under the terms of the 
% Creative Commons Attribution-ShareAlike 3.0 Unported License :
% http://creativecommons.org/licenses/by-sa/3.0/

@misc{ieee754-1985,
	author = {Stevenson, David  },
	booktitle = {ANSI/IEEE Std 754-1985},
	citeulike-article-id = {1677576},
	journal = {ANSI/IEEE Std 754-1985},
	keywords = {floating-point, para08},
	month = {August},
	posted-at = {2008-04-21 12:47:40},
	priority = {1},
	title = {{IEEE} standard for binary floating-point arithmetic},
	url = {http://ieeexplore.ieee.org/xpls/abs\_all.jsp?arnumber=30711},
	year = {1985}
}

@Book{P754:2008:ISF,
  author =       "{IEEE Task P754}",
  title =        "{IEEE 754-2008, Standard for Floating-Point
                 Arithmetic}",
  publisher =    "IEEE",
  address =      "New York, NY, USA",
  pages =        "58",
  day =          "29",
  month =        aug,
  year =         "2008",
  DOI =          "http://doi.ieeecomputersociety.org/10.1109/IEEESTD.2008.4610935",
  ISBN =         "0-7381-5753-8 (paper), 0-7381-5752-X (electronic)",
  ISBN-13 =      "978-0-7381-5753-5 (paper), 978-0-7381-5752-8
                 (electronic)",
  bibdate =      "Thu Sep 25 09:50:30 2008",
  URL =          "http://ieeexplore.ieee.org/servlet/opac?punumber=4610933;
                  http://en.wikipedia.org/wiki/IEEE_754-2008",
  abstract =     "This standard specifies interchange and arithmetic
                 formats and methods for binary and decimal
                 floating-point arithmetic in computer programming
                 environments. This standard specifies exception
                 conditions and their default handling. An
                 implementation of a floating-point system conforming to
                 this standard may be realized entirely in software,
                 entirely in hardware, or in any combination of software
                 and hardware. For operations specified in the normative
                 part of this standard, numerical results and exceptions
                 are uniquely determined by the values of the input
                 data, sequence of operations, and destination formats,
                 all under user control.",
  acknowledgement = ack-nhfb,
}

@UNPUBLISHED{WWWWolframAlpha,
   title = {Wolfram Alpha},
   author = {Wolfram Research},
   note = {\url{http://www.wolframalpha.com}}
   }

 @misc{wiki:exp,
   author = "Wikipedia",
   title = "Exponential function --- Wikipedia{,} The Free Encyclopedia",
   year = "2010",
   url = "http://en.wikipedia.org/w/index.php?title=Exponential_function&oldid=340983970",
   note = "[Online; accessed 7-February-2010]"
 }



@UNPUBLISHED{MolerExpMatlab,
   author = {Moler, Cleve},
   title = {Experiments with {M}atlab}
   }



@book{MolerNCM,
   author = {Moler, Cleve},
   title = {Numerical Computing with {M}atlab}, 
   publisher = {Society for Industrial Mathematics},
   year = {2004}
   }

 @misc{Cray11977,
   author = {CRAY},
   title = {CRAY-1 Hardware Reference},
   year = {1977},
   month = {November},
   url = {http://bitsavers.org/pdf/cray/}
 }

@misc{wiki:cray-1,
   author = "Wikipedia",
   title = "Cray-1 --- Wikipedia{,} The Free Encyclopedia",
   year = "2011",
   url = "http://en.wikipedia.org/w/index.php?title=Cray-1&oldid=429597859",
   note = "[Online; accessed 18-May-2011]"
 }
 
@book{WhatEveryComputerScientist,
author = {David Goldberg},
title = {What Every Computer Scientist Should Know About Floating-Point Arithmetic},
month={March},
year = {1991},
publisher= {Association for Computing Machinery, Inc.},
note = {\url{http://www.physics.ohio-state.edu/~dws/grouplinks/floating_point_math.pdf}},
}

@misc{fdlibm,
title = {A Freely Distributable {C} Math Library},
author = {Sun Microsystems, Inc.},
year = {1993},
note = {\url{http://www.netlib.org/fdlibm}},
}

@book{261217,
 author = {Muller,, Jean-Michel},
 title = {Elementary functions: algorithms and implementation},
 year = {1997},
 isbn = {0-8176-3990-X},
 publisher = {Birkhauser Boston, Inc.},
 address = {Secaucus, NJ, USA},
 }

@Book{MullerEtAl2010,
  title        = {Handbook of Floating-Point Arithmetic},
  author    = {Muller, Jean-Michel and Brisebarre, Nicolas and de
          Dinechin, Florent and Jeannerod, Claude-Pierre and
          Lef{\`e}vre, Vincent and Melquiond, Guillaume and Revol,
          Nathalie and Stehl{\'e}, Damien and Torres, Serge},
  publisher    = {{B}irkh\"auser {B}oston },
  pages    = {572 },
  year        = {2010},
}

@article{214414,
 author = {Stewart,, G. W.},
 title = {A note on complex division},
 journal = {ACM Trans. Math. Softw.},
 volume = {11},
 number = {3},
 year = {1985},
 issn = {0098-3500},
 pages = {238--241},
 doi = {http://doi.acm.org/10.1145/214408.214414},
 publisher = {ACM},
 address = {New York, NY, USA},
 }
 
@book{Stewart1996,
 author = {Stewart, G. W.},
 title = {Afternotes on Numerical Analysis},
 year = {1996},
 publisher = {SIAM},
 }

@article{567808,
 author = {Li,, Xiaoye S. and Demmel,, James W. and Bailey,, David H. and Henry,, Greg and Hida,, Yozo and Iskandar,, Jimmy and Kahan,, William and Kang,, Suh Y. and Kapur,, Anil and Martin,, Michael C. and Thompson,, Brandon J. and Tung,, Teresa and Yoo,, Daniel J.},
 title = {Design, implementation and testing of extended and mixed precision BLAS},
 journal = {ACM Trans. Math. Softw.},
 volume = {28},
 number = {2},
 year = {2002},
 issn = {0098-3500},
 pages = {152--205},
 doi = {http://doi.acm.org/10.1145/567806.567808},
 publisher = {ACM},
 address = {New York, NY, USA},
 }
@misc{KAHAN1987,
 author = {Kahan, W.},
 title = {Branch cuts for complex elementary functions, or much ado about nothing's sign bit.},
 year = {1987},
 pages = {165--211},
 publisher = {In The State of the Art in Numerecal Analysis. 
Proceedings of the Joint IMA/SIAM Conference, 
A. Iserles and M J. D Powell, Eds. Clarendon Press, Oxford, England},
 }
@article{1039814,
 author = {Priest,, Douglas M.},
 title = {Efficient scaling for complex division},
 journal = {ACM Trans. Math. Softw.},
 volume = {30},
 number = {4},
 year = {2004},
 issn = {0098-3500},
 pages = {389--401},
 doi = {http://doi.acm.org/10.1145/1039813.1039814},
 publisher = {ACM},
 address = {New York, NY, USA},
 }

@ARTICLE{CoonenUnderflow,
title={Underflow and the Denormalized Numbers},
author={Coonen, J. T.},
journal={Computer},
year={1981},
month={March },
volume={14},
number={3},
pages={75-87},
doi={10.1109/C-M.1981.220382},
ISSN={0018-9162}, }

@Article{Wynn:1962:AAP,
  author =       "P. Wynn",
  title =        "An Arsenal of {ALGOL} Procedures for Complex
                 Arithmetic",
  journal =      "BIT Numerical Mathematics",
  volume =       "2",
  number =       "4",
  pages =        "232--255",
  month =        dec,
  year =         "1962",
  CODEN =        "BITTEL, NBITAB",
  DOI =          "http://www.springerlink.com/openurl.asp?genre=article&id=doi:10.1007/BF01940171",
  ISSN =         "0006-3835 (print), 1572-9125 (electronic)",
  bibdate =      "Wed Jan 4 18:52:07 MST 2006",
  bibsource =    "ftp://ftp.math.utah.edu/pub/tex/bib/bit.bib;
                 http://springerlink.metapress.com/openurl.asp?genre=issue&issn=0006-3835&volume=2&issue=4",
  URL =          "http://www.springerlink.com/openurl.asp?genre=article&issn=0006-3835&volume=2&issue=4&spage=232",
  acknowledgement = ack-nhfb,
}
@article{DBLP:journals/cacm/Friedland67,
  author    = {Paul Friedland},
  title     = {Algorithm 312: Absolute value and square root of a complex
               number},
  journal   = {Commun. ACM},
  volume    = {10},
  number    = {10},
  year      = {1967},
  pages     = {665},
  ee        = {http://doi.acm.org/10.1145/363717.363780},
  bibsource = {DBLP, http://dblp.uni-trier.de}
}

@article{journals/ibmrd/MolerM83,
title = {Replacing Square Roots by {P}ythagorean Sums.},
author = {Cleve B. Moler and Donald Morrison},
journal = {IBM Journal of Research and Development},
number = {6},
pages = {577-581},
url = {http://dblp.uni-trier.de/db/journals/ibmrd/ibmrd27.html#MolerM83},
volume = {27},
year = {1983},
description = {dblp},
date = {2002-01-03},
keywords = {dblp }
} 

@Book{Wilkinson1964,
  author =       {J. Wilkinson},
  title =        {Rounding Errors In Algebraic Processes},
  publisher =    {Prentice-Hall},
  year =         {1964},
}

@book{Moler1977,
title = {Computer Methods for Mathematical Computations},
author = {George Elmer Forsythe and Michael A. Malcolm and Cleve B. Moler},
publisher = {Prentice-Hall series in automatic computation},
year = {1977}
}


@techreport{900236,
 author = {Lawson,, C. L. and Hanson,, R. J. and Kincaid,, D. R. and Krogh,, F. T.},
 title = {Basic Linear Algebra Subprograms for FORTRAN Usage},
 year = {1977},
 source = {http://www.ncstrl.org:8900/ncstrl/servlet/search?formname=detail\&id=oai%3Ancstrlh%3Autexas_cs%3AUTEXAS_CS%2F%2FCS-TR-77-72},
 institution = {University of Texas at Austin},
 address = {Austin, TX, USA},
 }

@article{355771,
 author = {Blue,, James L.},
 title = {A Portable Fortran Program to Find the {E}uclidean Norm of a Vector},
 journal = {ACM Trans. Math. Softw.},
 volume = {4},
 number = {1},
 year = {1978},
 issn = {0098-3500},
 pages = {15--23},
 doi = {http://doi.acm.org/10.1145/355769.355771},
 publisher = {ACM},
 address = {New York, NY, USA},
 }
@book{Cody:1971:SEF,
  author =       "W. J. Cody",
  title =        "Software for the Elementary Functions",
  pages =        "171--186",
  publisher = {Prentice Hall},
  year =         "1971",
  bibdate =      "Thu Sep 15 18:56:47 1994",
  bibsource =    "garbo.uwasa.fi:/pc/doc-soft/fpbiblio.txt",
  acknowledgement = ack-nj,
}

@Book{Higham:2002:ASN,
  author =       "Nicholas J. Higham",
  title =        "Accuracy and Stability of Numerical Algorithms",
  publisher =    "Society for Industrial and Applied Mathematics",
  address =      "Philadelphia, PA, USA",
  edition =      "Second",
  year =         "2002",
  pages =        "xxx+680",
  ISBN =         "0-89871-521-0"
}

@misc{ wiki:Grammy1976,
   author = "Wikipedia",
   title = "19th Grammy Awards --- Wikipedia{,} The Free Encyclopedia",
   year = "2011",
   url = "\url{http://en.wikipedia.org/w/index.php?title=19th_Grammy_Awards&oldid=426907735}",
   note = "[Online; accessed 18-May-2011]"
 }
 
@misc{matlab-hypot,
author = {The Mathworks},
note={\href{http://www.mathworks.com/access/helpdesk/help/techdoc/index.html?/access/helpdesk/help/techdoc/ref/hypot.html}{http://www.mathworks.com}},
title={Matlab - hypot : square root of sum of squares},
}

@UNPUBLISHED{ScilabNotNaive,
   title = {Scilab is not naive},
   author = {Consortium Scilab - Digit\'eo, Michael Baudin},
   note = {\url{http://forge.scilab.org/index.php/p/docscilabisnotnaive/}}
   }

@UNPUBLISHED{BugReport6937,
   author = {Allan Cornet},
   year = {2010},
   month = {April},
   title = {There are no subnormal numbers in the master.},
   note = {\url{http://bugzilla.scilab.org/show_bug.cgi?id=6937}}
   }

@UNPUBLISHED{BugReport6934,
   author = {Michael Baudin},
   year = {2010},
   month = {April},
   title = {Denormalized floating point numbers are not present in {S}cilab's master.},
   note = {\url{http://bugzilla.scilab.org/show_bug.cgi?id=6934}}
   }

@UNPUBLISHED{BugReport8617,
   author = {Michael Baudin},
   year = {2010},
   month = {December},
   title = {The cos function is not accurate for some x on {L}inux 32 bits.},
   note = {\url{http://bugzilla.scilab.org/show_bug.cgi?id=6934}}
   }

